#!/bin/bash
#title           :load_sim_tools.sh
#description     :Script to load simulation software on the Collaboratory Lab containers from the Object Storage at CSCS.
#author          :Athanasios Karmas
#date            :20210601   
#usage           :source ./load_sim_tools.sh
#==============================================================================

echo "Setting up environment..."

cp -r /srv/test-build/spack/.spack ~
source /srv/test-build/spack/share/spack/setup-env.sh

echo "Loading packages..."

spack load -r python %gcc@10.3.0
spack load -r py-numpy %gcc@10.3.0
spack load -r py-pip %gcc@10.3.0
spack load -r arbor %gcc@10.3.0
spack load -r neuron %gcc@10.3.0
spack load -r nest %gcc@10.3.0

echo "Everything ready!"
#echo "Starting Python..."
#python
